Name:           kdeadmin
Epoch:          7
Version:        4.1.2
Release:        4%{?dist}
Summary:        K Desktop Environment - Administrative tools

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        kuser.pam
Source2:        kuser.pamd

BuildRequires:  cmake
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  openldap-devel

Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs >= %{version}
# kcron/knetworkconf kcm modules
Requires: kdebase-workspace


%description
The %{name} package includes administrative tools including:
* kcron: systemsettings module for the cron task scheduler
* knetworkconf: systemsettings module for network settings
* ksystemlog: system log viewer
* kuser: user manager

%package kpackage
Summary: An RPM package manager
Group: Applications/System
Requires: smart
Requires(post): xdg-utils
Requires(postun): xdg-utils
%description kpackage
Kpackage is an RPM package manager, used for displaying currently installed
packages, uninstalling them and installing new ones.

It is based upon the "Smart Package Manager".


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# remove broken .pc file which has no business to be in a non-devel pkg anyway
rm -rf %{buildroot}%{_libdir}/pkgconfig


%clean
rm -rf %{buildroot}


%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post kpackage
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun kpackage
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/ksystemlog
%{_kde4_bindir}/kuser
%{_kde4_appsdir}/knetworkconf/
%{_kde4_appsdir}/ksystemlog/
%{_kde4_appsdir}/kuser/
%{_kde4_datadir}/applications/kde4/kuser.desktop
%{_kde4_datadir}/applications/kde4/ksystemlog.desktop
%{_kde4_datadir}/config.kcfg/kuser.kcfg
%{_kde4_datadir}/kde4/services/*
%{_kde4_docdir}/HTML/en/kcontrol/
%{_kde4_docdir}/HTML/en/kcron/
%{_kde4_docdir}/HTML/en/ksystemlog/
%{_kde4_docdir}/HTML/en/kuser/
%{_kde4_iconsdir}/hicolor/*/*/*
%exclude %{_kde4_iconsdir}/hicolor/*/*/kpackage*
%{_kde4_libdir}/kde4/kcm_cron.so
%{_kde4_libdir}/kde4/kcm_knetworkconfmodule.so

%files kpackage
%defattr(-,root,root,-)
%{_kde4_bindir}/kpackage
%{_kde4_appsdir}/kpackage/
%{_kde4_datadir}/applications/kde4/kpackage.desktop
%{_kde4_datadir}/config.kcfg/kpackageSettings.kcfg
%{_kde4_docdir}/HTML/en/kpackage/
%{_kde4_iconsdir}/hicolor/*/*/kpackage*


%changelog
* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-4
- make %%description for kcron, knetworkconf more clear (#467650)
- Requires: kdebase-workspace (for kcm modules)
- cleanup extraneous scriptlets

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-3
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- (re)add unpackaged HTML/en/kcontrol/ files

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Thu Jul 24 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-2
- remove broken .pc file (segfaults RPM, #456100), drop Requires: pkgconfig

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- add files and description for ksystemlog
- kcron is now a KCM (update file list)
- remove secpolicy from file list and description (dropped upstream)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.0.1-1
- 4.0.1
- don't use consolehelper for kuser (for now anyway, didn't work anyway)
- -kpackage scriptlet fixes

* Tue Jan 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.0.0-1
- update to 4.0.0

* Thu Dec 20 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:3.97.0-3
- don't run kpackage through consolehelper, it can elevate privileges on demand
  (see also #344751, though that bug appears not to have affected KDE 4)

* Thu Dec 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.97.0-2
- cosmetics (drop extraneous BR's, touchup %%description)

* Thu Dec 06 2007 Than Ngo <than@redhat.com> 7:3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.2-1
- kde-3.96.2

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1
- also use epoch in changelog (also backwards)

* Thu Nov 22 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-7
- use consolehelper for kuser and kpackage

* Wed Nov 21 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-6
- put kpackage in a subpkg (for the smart requirement)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-5
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-4
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXpm-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-3
- +BR: kde4-macros(api)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-2
- included AUTHORS 
- added %%post and %%postun
- BR: kde-filesystem

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial version for Fedora
